**Vixeny**

<p align="center">
  <img src="misc/logo.png" alt="Vixeny Logo" style="max-width: 100%;">
  <br>
  <b style="font-size:1.2em; font-style:italic; color:darkcyan;">Harness the Power of Pure Functionality</b>
  <br>
  <a href="https://vixeny.dev/">Website</a>
</p>

**Introducing Vixeny: A New Era in Web Development**

🌍 A performance-centric, runtime-agnostic library and framework designed for
purity, immutability, and controlled effects. Whether you're deep diving into
functional paradigms or balancing them with others, Vixeny offers the
flexibility and robustness web developers need.

Now, getting started with Vixeny has become even easier for developers working
in Deno and Bun environments. With the introduction of `npx create-vixeny` and
`bun create vixeny` commands, you can quickly scaffold a new project using
`vanilla templates` , `Ejs` or `Pug`, complete with hot reloading. This
enhancement is aimed at streamlining the development process and ensuring an
efficient workflow.

- **Unmatched Speed**: Experience the fastest framework in the Deno ecosystem.
- **DRY and Functional**: Designed with the principles of DRY (Don't Repeat
  Yourself) and advanced functional programming, including native mocking and
  code isolation.
- **Zero-Dependency Architecture**: Lean and efficient, with a focus on
  simplicity and performance.
- **Native Plugin Support**: Enhance functionality with ease using native
  plugins.
- **Robust Security**: Predictable and deterministic.
- **Advanced Type Checking**: Ensures safe, predictable code.
- **Versatile Paradigms**: Supports functional programming and other paradigms
  in a cohesive manner.
- **Object-Oriented**: Facilitates easy code manipulation and maintenance.
- **Test-Friendly**: Framework designed to be easily testable, end to end.
- **Future-Proof**: Stay ahead in web development with Vixeny's innovative
  features.

[Website](https://vixeny.dev/)

**Benchmarks**

- [JWT Benchmark](https://github.com/mimiMonads/FrameworkBench)
- [Bun by SaltyAom](https://github.com/SaltyAom/bun-http-framework-benchmark)

**License:**
[CC BY-ND 4.0](https://creativecommons.org/licenses/by-nd/4.0/legalcode.txt)
